Download it now!
Bug 70745 - TABLE: Vertical text Center aligned on merged table cells that cross pages gets misplaced
Summary: TABLE: Vertical text Center aligned on merged table cells that cross pages ge...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Vertical-Text Writer-Tables-Alignment
  Show dependency treegraph
 
Reported: 2013-10-22 03:25 UTC by Luiz Angelo Daros de Luca
Modified: 2019-11-24 16:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An example doc (10.10 KB, application/vnd.oasis.opendocument.text)
2013-10-22 03:25 UTC, Luiz Angelo Daros de Luca
Details
Another related problem, but with text split (9.46 KB, application/vnd.oasis.opendocument.text)
2013-10-22 03:36 UTC, Luiz Angelo Daros de Luca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2013-10-22 03:25:01 UTC
Created attachment 87964 [details]
An example doc

Hello,

Table cells can be merged. When tables cross the page limit, it can be splited. The problem is when I use vertical text (90° rotated) with centered aligment inside cell.

I'll attach an example doc.

1. Create a table that cross the page limit
2. merge the first cells between the last row on the first page and the first row on the second page
3. Type anything on it
4. configure it as 90° rotated
5. configure it to center the text inside the cell (middle alignment)

Current behavior:

6. Text is misplaced and some of it is not shown

Expected behavior:

7. Text is shown
              
Operating System: Ubuntu
Version: 4.1.2.3 release
Comment 1 Luiz Angelo Daros de Luca 2013-10-22 03:36:01 UTC
Created attachment 87965 [details]
Another related problem, but with text split

This might have the same root. This time, the problem is that text is splitted in the incorrect place. The "1234567" goes up and "89" goes down while the expected result would be All text down or "1234567" down and "89" up.
Comment 2 sophie 2013-10-22 08:02:11 UTC
I've been able to reproduce the behavior with your document and a new created table _when_ the page is formatted to A6. With a A4 format, the table rows are correctly split. 
I'm using Version: 4.1.3.1
Build ID: b42498da0e3f91b17e51b55c8295ec4f8f22087 under Ubuntu
I set the issue to New - Sophie
Comment 3 Luiz Angelo Daros de Luca 2013-10-22 19:06:53 UTC
The A6 format is just to help reproduce the problem. However, I first noticed it in a A4 page doc.
Comment 4 QA Administrators 2015-04-01 14:42:58 UTC Comment hidden (obsolete)
Comment 5 Luiz Angelo Daros de Luca 2015-04-02 02:58:25 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2016-11-08 12:05:03 UTC Comment hidden (obsolete)
Comment 7 Lars Jødal 2017-02-15 10:14:05 UTC
Still reproducible in LO 5.3.0.3.

See also bug 61128 and bug 73955, both describing how merged cell can be split over page breaks, despite the "Allow row to break across pages and columns" being unchecked.
Comment 8 QA Administrators 2019-10-03 03:00:03 UTC Comment hidden (obsolete)
Comment 9 Lars Jødal 2019-10-03 07:16:45 UTC
Still reproducible (using the test documents) with LO 6.3.2.2

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU tråde: 4; Styresystem: Windows 10.0; Gengiver af brugergrænseflade: GL; VCL: win; 
Lokalisering: da-DK (da_DK); Sprog for brugergrænseflade: da-DK
Calc: CL
Comment 10 Timur 2019-11-24 16:22:26 UTC
Repro LO 6.5+ in Windows.